MCP Tools Reference: dataform.googleapis.com

Tool: get_workflow_config

Fetch a single Dataform workflow configuration.

The name parameter value must be in the format projects/{project_id}/locations/{location}/repositories/{repository}/workflowConfigs/{workflow_config}.

The following sample demonstrate how to use curl to invoke the get_workflow_config MCP tool.

Curl Request
                  
curl --location 'https://dataform.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_workflow_config",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

GetWorkflowConfig request message.

GetWorkflowConfigRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The workflow config's name.

Output Schema

Represents a Dataform workflow configuration.

WorkflowConfig

JSON representation
{
  "name": string,
  "releaseConfig": string,
  "invocationConfig": {
    object (InvocationConfig)
  },
  "cronSchedule": string,
  "timeZone": string,
  "recentScheduledExecutionRecords": [
    {
      object (ScheduledExecutionRecord)
    }
  ],
  "disabled": boolean,
  "createTime": string,
  "updateTime": string,
  "workflowTriggerConfig": {
    object (WorkflowTriggerConfig)
  },

  // Union field _internal_metadata can be only one of the following:
  "internalMetadata": string
  // End of list of possible types for union field _internal_metadata.
}
Fields
name

string

Identifier. The workflow config's name.

releaseConfig

string

Required. The name of the release config whose release_compilation_result should be executed. Must be in the format projects/*/locations/*/repositories/*/releaseConfigs/*.

invocationConfig

object (InvocationConfig)

Optional. If left unset, a default InvocationConfig will be used.

cronSchedule

string

Optional. Optional schedule (in cron format) for automatic execution of this workflow config.

timeZone

string

Optional. Specifies the time zone to be used when interpreting cron_schedule. Must be a time zone name from the time zone database. If left unspecified, the default is UTC.

recentScheduledExecutionRecords[]

object (ScheduledExecutionRecord)

Output only. Records of the 10 most recent scheduled execution attempts, ordered in descending order of execution_time. Updated whenever automatic creation of a workflow invocation is triggered by cron_schedule.

disabled

boolean

Optional. Disables automatic creation of workflow invocations.

createTime

string (Timestamp format)

Output only. The timestamp of when the WorkflowConfig was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

updateTime

string (Timestamp format)

Output only. The timestamp of when the WorkflowConfig was last updated.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

workflowTriggerConfig

object (WorkflowTriggerConfig)

Optional. Trigger configuration for this workflow. If present, the workflow will be triggered based on the specified triggers.

Union field _internal_metadata.

_internal_metadata can be only one of the following:

internalMetadata

string

Output only. All the metadata information that is used internally to serve the resource. For example: timestamps, flags, status fields, etc. The format of this field is a JSON string.

InvocationConfig

JSON representation
{
  "includedTargets": [
    {
      object (Target)
    }
  ],
  "includedTags": [
    string
  ],
  "transitiveDependenciesIncluded": boolean,
  "transitiveDependentsIncluded": boolean,
  "fullyRefreshIncrementalTablesEnabled": boolean,
  "serviceAccount": string,

  // Union field _query_priority can be only one of the following:
  "queryPriority": enum (QueryPriority)
  // End of list of possible types for union field _query_priority.
}
Fields
includedTargets[]

object (Target)

Optional. The set of action identifiers to include.

includedTags[]

string

Optional. The set of tags to include.

transitiveDependenciesIncluded

boolean

Optional. When set to true, transitive dependencies of included actions will be executed.

transitiveDependentsIncluded

boolean

Optional. When set to true, transitive dependents of included actions will be executed.

fullyRefreshIncrementalTablesEnabled

boolean

Optional. When set to true, any incremental tables will be fully refreshed.

serviceAccount

string

Optional. The service account to run workflow invocations under.

Union field _query_priority.

_query_priority can be only one of the following:

queryPriority

enum (QueryPriority)

Optional. Specifies the priority for query execution in BigQuery. More information can be found at https://cloud.google.com/bigquery/docs/running-queries#queries.

Target

JSON representation
{
  "database": string,
  "schema": string,
  "name": string
}
Fields
database

string

Optional. The action's database (Google Cloud project ID) .

schema

string

Optional. The action's schema (BigQuery dataset ID), within database.

name

string

Optional. The action's name, within database and schema.

ScheduledExecutionRecord

JSON representation
{
  "executionTime": string,

  // Union field result can be only one of the following:
  "workflowInvocation": string,
  "errorStatus": {
    object (Status)
  }
  // End of list of possible types for union field result.
}
Fields
executionTime

string (Timestamp format)

Output only. The timestamp of this execution attempt.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

Union field result. The result of this execution attempt. result can be only one of the following:
workflowInvocation

string

The name of the created workflow invocation, if one was successfully created. Must be in the format projects/*/locations/*/repositories/*/workflowInvocations/*.

errorStatus

object (Status)

The error status encountered upon this attempt to create the workflow invocation, if the attempt was unsuccessful.

Status

JSON representation
{
  "code": integer,
  "message": string,
  "details": [
    {
      "@type": string,
      field1: ...,
      ...
    }
  ]
}
Fields
code

integer

The status code, which should be an enum value of google.rpc.Code.

message

string

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.

details[]

object

A list of messages that carry the error details. There is a common set of message types for APIs to use.

An object containing fields of an arbitrary type. An additional field "@type" contains a URI identifying the type. Example: { "id": 1234, "@type": "types.example.com/standard/id" }.

Any

JSON representation
{
  "typeUrl": string,
  "value": string
}
Fields
typeUrl

string

Identifies the type of the serialized Protobuf message with a URI reference consisting of a prefix ending in a slash and the fully-qualified type name.

Example: type.googleapis.com/google.protobuf.StringValue

This string must contain at least one / character, and the content after the last / must be the fully-qualified name of the type in canonical form, without a leading dot. Do not write a scheme on these URI references so that clients do not attempt to contact them.

The prefix is arbitrary and Protobuf implementations are expected to simply strip off everything up to and including the last / to identify the type. type.googleapis.com/ is a common default prefix that some legacy implementations require. This prefix does not indicate the origin of the type, and URIs containing it are not expected to respond to any requests.

All type URL strings must be legal URI references with the additional restriction (for the text format) that the content of the reference must consist only of alphanumeric characters, percent-encoded escapes, and characters in the following set (not including the outer backticks): /-.~_!$&()*+,;=. Despite our allowing percent encodings, implementations should not unescape them to prevent confusion with existing parsers. For example, type.googleapis.com%2FFoo should be rejected.

In the original design of Any, the possibility of launching a type resolution service at these type URLs was considered but Protobuf never implemented one and considers contacting these URLs to be problematic and a potential security issue. Do not attempt to contact type URLs.

value

string (bytes format)

Holds a Protobuf serialization of the type described by type_url.

A base64-encoded string.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

WorkflowTriggerConfig

JSON representation
{
  "condition": enum (Condition),
  "workflowTriggers": [
    {
      object (WorkflowTrigger)
    }
  ],
  "minExecutionDuration": string,
  "maxWaitDuration": string,
  "recentTriggerEvaluationRecords": [
    {
      object (TriggerEvaluationRecord)
    }
  ],
  "lastSuccessfulEvaluationTime": string
}
Fields
condition

enum (Condition)

Optional. The condition to use when triggering the workflow.

workflowTriggers[]

object (WorkflowTrigger)

Required. The trigger definitions to invoke a workflow.

minExecutionDuration

string (Duration format)

Optional. Minimum duration between two consecutive executions. If not specified, the workflow will be executed every time trigger conditions are met and there is no ongoing workflow execution.

A duration in seconds with up to nine fractional digits, ending with 's'. Example: "3.5s".

maxWaitDuration

string (Duration format)

Optional. The effective maximum wait time duration for the trigger condition to be met. If not specified, the workflow won't be triggered until conditions are met.

A duration in seconds with up to nine fractional digits, ending with 's'. Example: "3.5s".

recentTriggerEvaluationRecords[]

object (TriggerEvaluationRecord)

Output only. Records of the 10 most recent trigger evaluations, ordered in descending order of evaluation_time. Updated whenever the service evaluates the trigger conditions (via polling or upon receiving a push event).

lastSuccessfulEvaluationTime

string (Timestamp format)

Output only. The timestamp of the last successful trigger evaluation.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

WorkflowTrigger

JSON representation
{

  // Union field trigger can be only one of the following:
  "tableUpdateTrigger": {
    object (TableUpdateTrigger)
  }
  // End of list of possible types for union field trigger.
}
Fields
Union field trigger. The trigger defining the conditions to invoke a workflow. trigger can be only one of the following:
tableUpdateTrigger

object (TableUpdateTrigger)

The table update trigger configuration.

TableUpdateTrigger

JSON representation
{
  "table": {
    object (Target)
  },
  "triggerUpdateTime": string
}
Fields
table

object (Target)

The target table to trigger the workflow.

triggerUpdateTime

string (Timestamp format)

Output only. The modification time of this table that resulted in an invocation of the workflow. This would be updated by the triggering service after a successful workflow invocation.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

Duration

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Signed seconds of the span of time. Must be from -315,576,000,000 to +315,576,000,000 inclusive. Note: these bounds are computed from: 60 sec/min * 60 min/hr * 24 hr/day * 365.25 days/year * 10000 years

nanos

integer

Signed fractions of a second at nanosecond resolution of the span of time. Durations less than one second are represented with a 0 seconds field and a positive or negative nanos field. For durations of one second or more, a non-zero value for the nanos field must be of the same sign as the seconds field. Must be from -999,999,999 to +999,999,999 inclusive.

TriggerEvaluationRecord

JSON representation
{
  "evaluationTime": string,
  "status": {
    object (Status)
  }
}
Fields
evaluationTime

string (Timestamp format)

Output only. The timestamp of this trigger evaluation attempt.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

status

object (Status)

Output only. The status of the trigger evaluation. Success is indicated by a code of 0 (OK). Message will only be present if the status code is non-zero.

QueryPriority

Types of priority for query execution in BigQuery.

Enums
QUERY_PRIORITY_UNSPECIFIED Default value. This value is unused.
INTERACTIVE Query will be executed in BigQuery with interactive priority. More information can be found at https://cloud.google.com/bigquery/docs/running-queries#queries.
BATCH Query will be executed in BigQuery with batch priority. More information can be found at https://cloud.google.com/bigquery/docs/running-queries#batchqueries.

Condition

The condition to use when triggering the workflow.

Enums
CONDITION_UNSPECIFIED If CONDITION_UNSPECIFIED, the default value is ANY.
ALL If ALL, all the trigger config conditions must be met before a workflow is invoked.
ANY If ANY, at least one of the trigger config conditions must be met before a workflow is invoked.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌